#version 150

#moj_import <purple_border_gui/other_colours.glsl>

in vec3 Position;
in vec4 Color;

uniform mat4 ModelViewMat;
uniform mat4 ProjMat;

out vec4 vertexColor;

void main() {
    gl_Position = ProjMat * ModelViewMat * vec4(Position, 1.0);

    vertexColor.rgb = TEXT_HIGHLIGHT;
    vertexColor.a = Color.a;
}
